Bug 1658314 - aarch64 dnf update/install results in "write_main() failed to re-load written solv file"
Summary: aarch64 dnf update/install results in "write_main() failed to re-load written...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf
Version: 29
Hardware: aarch64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: ARMTracker
TreeView+ depends on / blocked
 
Reported: 2018-12-11 18:02 UTC by arnarg
Modified: 2019-11-27 23:04 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 23:04:28 UTC
Type: Bug


Attachments (Terms of Use)
/var/log/dnf.log (4.28 KB, text/plain)
2018-12-11 18:02 UTC, arnarg
no flags Details
/var/log/dnf.librepo.log (68.65 KB, text/plain)
2018-12-11 18:03 UTC, arnarg
no flags Details
/var/log/dnf.rpm.log (282 bytes, text/plain)
2018-12-11 18:06 UTC, arnarg
no flags Details

Description arnarg 2018-12-11 18:02:17 UTC
Created attachment 1513481 [details]
/var/log/dnf.log

Description of problem:
I am unable to update or install any packages using dnf on a new setup.

Version-Release number of selected component (if applicable):
dnf-4.0.4-1.fc29.noarch

How reproducible:
100%

Steps to Reproduce:
1. Boot up freshly flashed Fedora Server 29 aarch64 image.
2. Run `dnf update`
3.

Actual results:
write_main() failed to re-load written solv file.

Expected results:
To be able to update.

Additional info:
Running on NanoPi Neo2 (Allwinner H5). Tested with rootfs on two sd cards and a new usb flash drive.

Comment 1 arnarg 2018-12-11 18:03:35 UTC
Created attachment 1513482 [details]
/var/log/dnf.librepo.log

Comment 2 arnarg 2018-12-11 18:06:20 UTC
Created attachment 1513483 [details]
/var/log/dnf.rpm.log

Comment 3 Daniel Mach 2018-12-17 11:47:44 UTC
Could you remove /var/cache/dnf/* and try again?
Solv files can be arch specific and not sure if the image comes with empty cache dir or prepopulated with solv files created on a different arch.

Comment 4 arnarg 2018-12-17 12:02:17 UTC
I tried that previously and it didn't fix the issue. I'm away from my arm boards until January, I will try it again and paste the outcome here then.

Comment 5 arnarg 2019-01-13 22:54:18 UTC
After clearing the cache I managed to segfault it after a few tries.

[fedora@localhost ~]$ sudo rm -rf /var/cache/dnf/*
[fedora@localhost ~]$ sudo dnf update
Fedora Modular 29 - aarch64                                                                          729 kB/s | 1.4 MB     00:02    
write_main() failed to re-load written solv file
[fedora@localhost ~]$ sudo dnf update
write_main() failed to re-load written solv file
[fedora@localhost ~]$ sudo dnf update
Fedora Modular 29 - aarch64 - Updates                                                                655 kB/s | 1.8 MB     00:02    
Fedora 29 - aarch64 - Updates                                                                        4.8 MB/s |  17 MB     00:03    
Fedora 29 - aarch64                                                                                   11 MB/s |  56 MB     00:05    
Last metadata expiration check: 0:00:03 ago on Sun 13 Jan 2019 05:42:08 PM EST.
Segmentation fault

Comment 6 Ben Cotton 2019-10-31 19:02:01 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2019-11-27 23:04:28 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.